"use strict";
// Copyright (c) Mito
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
// import css
require("../../css/loading-indicator.css");
/*
    A tiny, upper left modal that tells the user that the operation is
    loading.

    By default, does not displaying anything for the first .5 seconds it
    is rendered, so that only long running ops actually display a loading
    bar.
*/
const LoadingIndicator = () => {
    // We use a count to track the number of ...s to display.
    // 0 -> '', 1 -> '.', 2 -> '..', 3 -> '...'. Wraps % 4.
    const [indicatorState, setIndicatorState] = react_1.useState(-1);
    // Schedule a change to update the loading indicator, every .5 seconds
    react_1.useEffect(() => {
        const interval = setInterval(() => {
            setIndicatorState(indicatorState => indicatorState + 1);
        }, 500);
        return () => clearInterval(interval);
    }, []);
    // We start the indicator at -1, so that we don't display anything
    // for the first half second. This makes us only display the indicator
    // for actually long running operations.
    if (indicatorState < 0) {
        return react_1.default.createElement(react_1.default.Fragment, null);
    }
    const someNumberOfDots = '.'.repeat(indicatorState % 4);
    return (react_1.default.createElement("div", { className: 'loading-indicator-container' },
        react_1.default.createElement("p", { className: 'loading-indicator-text' },
            "Loading",
            someNumberOfDots)));
};
exports.default = LoadingIndicator;
//# sourceMappingURL=LoadingIndicator.js.map