"use strict";
// Copyright (c) Mito
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
require("../../../css/large-input.css");
/*
  A input component created for use in taskpanes
*/
const LargeInput = (props) => {
    const [currentValue, setCurrentValue] = react_1.useState(props.startingValue);
    const className = !props.extraLarge ? 'input large-input' : 'input extra-large-input';
    return (react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement("form", { onSubmit: (e) => __awaiter(void 0, void 0, void 0, function* () { e.preventDefault(); yield props.onSubmit(currentValue); }) },
            react_1.default.createElement("input", { className: className, type: 'text', value: currentValue, onChange: (e) => { setCurrentValue(e.target.value); }, onBlur: () => props.onSubmit(currentValue), placeholder: props.placeholderText, autoFocus: true }))));
};
exports.default = LargeInput;
//# sourceMappingURL=LargeInput.js.map