"use strict";
// Copyright (c) Mito
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("../../../css/mutli-toggle-box.css");
/*
  A box that contains a variety of options that can be toggled on and off indivigually.
  
  If optional toggleAllOptions are passed, then a Toggle All button is also displayed
  that toggles all the buttons at once.
*/
const MultiToggleBox = (props) => {
    return (react_1.default.createElement("div", { className: 'multi-toggle-box' },
        props.toggleAllOptions !== undefined &&
            react_1.default.createElement("div", { key: 'Toggle All' },
                react_1.default.createElement("input", { key: 'Toggle All', type: "checkbox", name: 'Toggle All', checked: props.toggleAllOptions.currentToggleAllState, onChange: props.toggleAllOptions.toggleAll, className: "form-check-input" }),
                "Toggle All"),
        props.itemsArray.map((item, index) => {
            const currentToggle = props.itemToggleState[index];
            return (react_1.default.createElement("div", { key: item },
                react_1.default.createElement("input", { key: item, type: "checkbox", name: item, checked: currentToggle, onChange: () => { props.toggleItemAtIndex(index); }, className: "form-check-input" }),
                item));
        })));
};
exports.default = MultiToggleBox;
//# sourceMappingURL=MultiToggleBox.js.map