"use strict";
// Copyright (c) Mito
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const Mito_1 = require("../Mito");
const DefaultModal_1 = __importDefault(require("../DefaultModal"));
// import css
require("../../../css/delete-column-modal.css");
/*
    A modal that confirms that you want to delete a column.
*/
const DeleteColumnModal = (props) => {
    const deleteColumn = () => __awaiter(void 0, void 0, void 0, function* () {
        yield props.mitoAPI.sendDeleteColumn(props.selectedSheetIndex, props.columnHeader);
        props.setModal({ type: Mito_1.ModalEnum.None });
    });
    return (react_1.default.createElement(DefaultModal_1.default, { header: `Do you want to delete column ${props.columnHeader}?`, modalType: Mito_1.ModalEnum.RepeatAnalysis, viewComponent: react_1.default.createElement(react_1.Fragment, null), buttons: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: () => { props.setModal({ type: Mito_1.ModalEnum.None }); } }, " Close "),
            react_1.default.createElement("div", { className: 'modal-action-button modal-dual-button-right', onClick: deleteColumn },
                " ",
                "Delete Column")) }));
};
exports.default = DeleteColumnModal;
//# sourceMappingURL=DeleteColumnModal.js.map