"use strict";
// Copyright (c) Mito
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const Mito_1 = require("../Mito");
// import css
require("../../../css/margins.css");
require("../../../css/default-modal.css");
const DefaultModal_1 = __importDefault(require("../DefaultModal"));
/*
    A modal that appears and tells the user to upgrade to the
    new version of Mito, by going to the documentation
*/
const UpgradeModal = (props) => {
    const onUpgrade = () => {
        // We log the opening of the documentation taskpane
        void props.mitoAPI.sendLogMessage('upgrade_button_clicked');
        // Open the upgrading docs
        window.open(`https://docs.trymito.io/`, '_blank');
        props.setModal({ type: Mito_1.ModalEnum.None });
    };
    return (react_1.default.createElement(DefaultModal_1.default, { header: `Upgrade for New Functionality`, modalType: Mito_1.ModalEnum.Upgrade, viewComponent: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("p", null, "The Mito team moves fast. Since you last updated, we\u2019ve added a bunch of shiny new things to play with, and polished the old stuff. Upgrade now to try it out!")), buttons: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: () => { props.setModal({ type: Mito_1.ModalEnum.None }); } }, " Close "),
            react_1.default.createElement("div", { className: 'modal-action-button modal-dual-button-right', onClick: onUpgrade }, " Upgrade")) }));
};
exports.default = UpgradeModal;
//# sourceMappingURL=UpgradeModal.js.map