"use strict";
// Copyright (c) Mito
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const SheetTab_1 = __importDefault(require("./SheetTab"));
// import css
require("../../../css/sheet-tab.css");
/*
    Wrapper component that displays the entire bottom of the sheet, including
    the sheet tabs, as well as the shape of the currently selected dataframe.
*/
function SheetTabs(props) {
    return (react_1.default.createElement("div", { className: 'sheet-bottom' },
        react_1.default.createElement("div", { className: "sheet-tab-bar" }, props.dfNames.map((dfName, idx) => {
            return (react_1.default.createElement(SheetTab_1.default, { setCurrOpenSheetTabActions: props.setCurrOpenSheetTabActions, currOpenSheetTabActions: props.currOpenSheetTabActions, key: idx, mitoContainerRef: props.mitoContainerRef, dfName: dfName, sheetShape: props.sheetShapeArray[idx], sheetIndex: idx, selectedSheetIndex: props.selectedSheetIndex, setSelectedSheetIndex: props.setSelectedSheetIndex, mitoAPI: props.mitoAPI, closeOpenEditingPopups: props.closeOpenEditingPopups }));
        })),
        props.sheetShapeArray[props.selectedSheetIndex] !== undefined &&
            react_1.default.createElement("div", { className: 'sheet-shape' },
                "(",
                props.sheetShapeArray[props.selectedSheetIndex].rows,
                ", ",
                props.sheetShapeArray[props.selectedSheetIndex].cols,
                ")")));
}
exports.default = SheetTabs;
//# sourceMappingURL=SheetTabs.js.map