"use strict";
// Copyright (c) Mito
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
/*
    Displays the column summary statistics gotten from
    a call to .describe

    See examples here: https://pandas.pydata.org/pandas-docs/stable/reference/api/pandas.Series.describe.html
*/
function ColumnSummaryStatistics(props) {
    const [describe, setDescribe] = react_1.useState({});
    const [loading, setLoading] = react_1.useState(true);
    function loadDescribe() {
        return __awaiter(this, void 0, void 0, function* () {
            const loadedDescribe = yield props.mitoAPI.getColumnDescribe(props.selectedSheetIndex, props.columnHeader);
            setDescribe(loadedDescribe);
            setLoading(false);
        });
    }
    react_1.useEffect(() => {
        void loadDescribe();
    }, []);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: 'filter-modal-section-title' },
            react_1.default.createElement("p", null, " Column Summary Statistics ")),
        react_1.default.createElement("div", { key: loading.toString() },
            !loading &&
                react_1.default.createElement("table", { className: 'column-describe-table-container' }, Object.keys(describe).map(key => {
                    return (react_1.default.createElement("tr", { className: 'column-describe-table-row', key: key },
                        react_1.default.createElement("th", null, key),
                        react_1.default.createElement("th", null, describe[key].substring(0, 15) + (describe[key].length > 15 ? '...' : ''))));
                })),
            loading &&
                react_1.default.createElement("p", null, "Column Summary statistics are loading..."))));
}
exports.default = ColumnSummaryStatistics;
//# sourceMappingURL=ColumnSummaryStatistics.js.map