"use strict";
// Copyright (c) Mito
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const filterConditions_1 = require("./filterConditions");
// import css
require("../../../../../css/filter-card.css");
/*
    
*/
function Filter(props) {
    // We hide the input if it is not necessary
    const inputStyle = filterConditions_1.CONDITIONS_WITH_NO_INPUT.includes(props.filter.condition) ? { 'visibility': 'hidden' } : { 'visibility': 'visible' };
    return (react_1.default.createElement("div", { className: 'filter-object' },
        props.first &&
            react_1.default.createElement("div", { className: 'filter-where-label mr-10px' }, "Where"),
        !props.first &&
            react_1.default.createElement("select", { className: 'filter-select filter-operator mr-10px', value: props.operator, onChange: (e) => { props.setOperator(e.target.value); } },
                react_1.default.createElement("option", { value: 'And' }, "And"),
                react_1.default.createElement("option", { value: 'Or' }, "Or")),
        react_1.default.createElement("select", { className: 'filter-select filter-condition filter-object-item', value: props.filter.condition, onChange: (e) => {
                // We perform some unplesant type casting to keep the code
                // short here
                props.setFilter({
                    type: props.filter.type,
                    condition: e.target.value,
                    value: props.filter.value
                });
            } },
            props.filter.type === 'string' && filterConditions_1.STRING_DROPDOWN_OPTIONS,
            props.filter.type === 'number' && filterConditions_1.NUMBER_DROPDOWN_OPTIONS,
            props.filter.type === 'datetime' && filterConditions_1.DATETIME_DROPDOWN_OPTIONS),
        react_1.default.createElement("input", { className: 'filter-select filter-value filter-object-item', style: inputStyle, type: props.filter.type === 'datetime' ? 'date' : 'text', value: props.filter.value, onChange: e => {
                props.setFilter({
                    type: props.filter.type,
                    condition: props.filter.condition,
                    value: e.target.value
                });
            } }),
        react_1.default.createElement("div", { className: 'filter-object-item filter-close-button', onClick: () => props.deleteFilter() },
            react_1.default.createElement("svg", { width: "15", height: "15", viewBox: "0 0 13 13", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                react_1.default.createElement("line", { x1: "0.707107", y1: "1.29289", x2: "11.3136", y2: "11.8994", stroke: "#343434", strokeWidth: "2" }),
                react_1.default.createElement("line", { x1: "0.7072", y1: "11.8995", x2: "11.3137", y2: "1.29297", stroke: "#343434", strokeWidth: "2" })))));
}
exports.Filter = Filter;
//# sourceMappingURL=Filter.js.map