"use strict";
// Copyright (c) Mito
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
// import css
require("../../../css/default-taskpane.css");
const XIcon_1 = __importDefault(require("../icons/XIcon"));
const taskpanes_1 = require("./taskpanes");
/*
    DefaultTaskpane is a higher-order component that
    takes a header and a taskpaneBbody, and displays it as a component.

    The modal has props
    - a header string to be shown at the top of the taskpane
    - a taskpaneBody, a react fragment which is the center segment of the taskpane
    - a setTaskpaneOpenOrClosed function to close the taskpane
*/
const DefaultTaskpane = (props) => {
    return (react_1.default.createElement("div", { className: 'default-taskpane-div', style: { backgroundImage: props.backgroundImage } },
        react_1.default.createElement("div", { className: 'default-taskpane-header-div' },
            react_1.default.createElement("p", { className: 'default-taskpane-header-text' }, props.header),
            react_1.default.createElement("div", { className: 'default-taskpane-header-exit-button-div', onClick: () => {
                    // Call the on close callback, if it exists
                    if (props.callbackOnClose) {
                        props.callbackOnClose();
                    }
                    props.setCurrOpenTaskpane({ type: taskpanes_1.TaskpaneType.NONE });
                } },
                react_1.default.createElement(XIcon_1.default, null))),
        react_1.default.createElement("div", { className: 'default-taskpane-body-div' }, props.taskpaneBody)));
};
exports.default = DefaultTaskpane;
//# sourceMappingURL=DefaultTaskpane.js.map