"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("../../../../css/nps.css");
/*
    Displays the net promotor score buttons that a user can click
*/
function NPS(props) {
    return (react_1.default.createElement("div", { className: 'nps-container' }, [...Array(11).keys()].map((nps) => {
        const selected = nps === props.selectedNPS;
        const backgroundColor = selected ? 'var(--mito-blue)' : 'white';
        return (react_1.default.createElement("div", { className: 'nps-option', style: { backgroundColor: backgroundColor }, key: nps, onClick: () => {
                // We let you toggle the selection on and off
                if (selected) {
                    props.setSelectedNPS(undefined);
                }
                else {
                    props.setSelectedNPS(nps);
                }
            } },
            react_1.default.createElement("p", { className: 'm-auto' }, nps)));
    })));
}
exports.default = NPS;
//# sourceMappingURL=NPS.js.map