"use strict";
// Copyright (c) Mito
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const LargeSelect_1 = __importDefault(require("../../elements/LargeSelect"));
// import css
require("../../../../css/merge-sheet-and-key-selection.css");
const MergeTaskpane_1 = require("./MergeTaskpane");
/*
  A custom component that allows you to select a sheet from the list of
  possible sheets, as well as a column header from that sheet.
*/
const MergeSheetAndKeySelection = (props) => {
    const sheetNumStr = props.sheetNum == MergeTaskpane_1.MergeSheet.First ? 'First' : 'Second';
    return (react_1.default.createElement("div", { className: 'merge-sheet-and-key' },
        react_1.default.createElement("div", null,
            react_1.default.createElement("p", { className: 'default-taskpane-body-section-title-text' },
                sheetNumStr,
                " Sheet"),
            react_1.default.createElement(LargeSelect_1.default, { startingValue: props.dfNames[props.sheetIndex], key: props.sheetIndex, optionsArray: props.dfNames, setValue: (value) => {
                    const newSheetIndex = props.dfNames.indexOf(value);
                    props.setNewSheetIndex(newSheetIndex);
                } })),
        react_1.default.createElement("div", null,
            react_1.default.createElement("p", { className: 'default-taskpane-body-section-title-text' }, "Merge Key"),
            react_1.default.createElement(LargeSelect_1.default, { startingValue: props.mergeKey, key: props.mergeKey, optionsArray: props.columnHeaders, setValue: (newMergeKey) => { props.setNewMergeKey(newMergeKey); } }))));
};
exports.default = MergeSheetAndKeySelection;
//# sourceMappingURL=MergeSheetAndKeySelection.js.map